Skip to Content
Cut.ProDocs
AI characters

Complete a source video upload

Registers the uploaded video in the library. Call it after the PUT to upload_url returned 200, then price the video with GET /personas/swap/quote.

Authorization

apiKey
headerX-Api-Key<token>

Request Body

  1. body
media_id*string

The media_id from POST /personas/sources/upload.

file_name*string

Original file name, used as the library title.

Response Body

Response for status 200

application/json
  1. response
media_id*string
POST
/personas/sources/upload/complete
Example Request
curl -X POST 'https://api.cut.pro/api/v1/personas/sources/upload/complete' \  -H 'Content-Type: application/json' \  -d '{  "media_id": "string",  "file_name": "string"}'
Example Response
{  "media_id": "string"}